<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="AbstractAccessPoint" description="Абстрактная точка прохода"
	fileName="AbstractAccessPoint.jar" className="org.mati.npc.components.ass.abstractaccesspoint.AbstractAccessPoint"
	version="9277" time="17.02.2009 01:04:42">

	<Group>СКУД</Group>

	<INLink name="InNoContourAccessPointHandler"
		description="Входящая связь с компонента-представления двери для управления поведением точки пользователем"
		interfaceName="org.mati.npc.interfaces.ass.NoContourAccessPointHandler"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="ReaderListenerLink" description=""
		interfaceName="org.mati.npc.components.interfaces.ReaderListener"
		linksNumber="1" nullable="false">
	</INLink>

	<OUTLink name="OutReader" description="Исходящая связь на ридер"
		interfaceName="org.mati.npc.components.interfaces.Reader"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutFacesViewDataHandler"
		description="Связь с компонентом-представлением двери для оповещения его о изменении статуса и проходе"
		interfaceName="org.mati.npc.components.interfaces.NPCFacesViewDataHandler"
		linksNumber="1" nullable="true">
	</OUTLink>
	<OUTLink name="OutAccessPoint" description="Возможность доступа"
		interfaceName="org.mati.npc.components.interfaces.SimpleContourAccessPoint"
		linksNumber="1" nullable="false">
	</OUTLink>
	<OUTLink name="OutUniversal" description="Исходящая универсальная связь"
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="0" nullable="false">
	</OUTLink>
	<OUTLink name="OutLoggerHandler"
		description="Связь с компонентом журналирования"
		interfaceName="org.mati.npc.components.interfaces.NPCSimpleLoggerHandler"
		linksNumber="1" nullable="true">
	</OUTLink>
	
	<Attribute name="AccessPointName"
		description="Наименование точки доступа"
		defaultValue="Абстрактная точка прохода"
		type="java.lang.String" nullable="false">
	</Attribute>

</ClassComponent>